%define gimpplugindir %(gimptool-2.0 --gimpplugindir)

Name: ufraw
Version: 0.14.1
Release: alt1

Packager: Victor Forsyuk <force@altlinux.org>

Summary: UFRaw is a graphical utility for opening and converting RAW files from digital photo cameras
License: GPLv2+
Group: Graphics

Url: http://ufraw.sourceforge.net/
Source0: http://downloads.sourceforge.net/ufraw/ufraw-%version.tar.gz

BuildPreReq: liblcms-devel >= 1.14
BuildPreReq: liblensfun-devel >= 0.2.3
# Automatically added by buildreq on Thu Oct 16 2008
BuildRequires: bzlib-devel desktop-file-utils gcc-c++ libexiv2-devel libgimp-devel libgtkimageview-devel libjpeg-devel liblcms-devel liblensfun-devel libtiff-devel

%package -n gimp-plugin-ufraw
Summary: GIMP plugin for opening and converting RAW files from digital photo cameras (part of UFRaw project)
Group: Graphics
Conflicts: rawphoto
Requires: gimp >= 2.2
Obsoletes: gimp2-plugin-ufraw

%description
UFRaw is a graphical utility for opening and converting RAW files from digital
photo cameras.

%description -n gimp-plugin-ufraw
GIMP plugin for opening and converting RAW files from digital photo cameras
(part of UFRaw project).

%prep
%setup

%build
%configure --with-lensfun --enable-contrast
%make_build

%install
%make_install DESTDIR=%buildroot install
install -pD -m644 ufraw.desktop %buildroot%_desktopdir/ufraw.desktop
install -pD -m644 icons/ufraw.png %buildroot%_liconsdir/ufraw.png

%find_lang ufraw

%post
%update_menus
%update_desktopdb

%postun
%clean_menus
%clean_desktopdb

%files -f ufraw.lang
%_bindir/*
%doc MANIFEST README
%_man1dir/*
%_desktopdir/*
%_liconsdir/*
%_pixmapsdir/*

%files -n gimp-plugin-ufraw
%gimpplugindir/plug-ins/*

%changelog
* Mon Oct 20 2008 Victor Forsyuk <force@altlinux.org> 0.14.1-alt1
- 0.14.1

* Thu Oct 16 2008 Victor Forsyuk <force@altlinux.org> 0.14-alt1
- 0.14
- Build with lensfun support.

* Fri Jun 13 2008 ALT QA Team Robot <qa-robot@altlinux.org> 0.13-alt2.1
- Automated rebuild due to libexiv2.so.2 -> libexiv2.so.4 soname change.

* Mon Mar 31 2008 Victor Forsyuk <force@altlinux.org> 0.13-alt2
- Rebuild with new libexiv2.

* Tue Nov 13 2007 Victor Forsyuk <force@altlinux.org> 0.13-alt1
- 0.13

* Tue Sep 04 2007 Victor Forsyuk <force@altlinux.org> 0.12.1-alt1
- 0.12.1

* Tue Jul 31 2007 Victor Forsyuk <force@altlinux.org> 0.12-alt1
- 0.12

* Tue Apr 10 2007 Victor Forsyuk <force@altlinux.org> 0.11-alt1
- 0.11

* Thu Nov 23 2006 Victor Forsyuk <force@altlinux.org> 0.10-alt1
- 0.10
- Build with EXIF read support (using exiv2 library).
- Use SMP build.

* Mon Mar 06 2006 Dmitry Marochko <mothlike@altlinux.ru> 0.7-alt1
- New version
  + Much more accurate white balance temperature setting.
  + White balance presets per camera model.
  + Show the channel multipliers in the UI.
  + Apply base curve before gamma curve.
  + Fix a few general bugs.
  + Fix camera specific bugs for Sony F828, Sigma Foveon, Nikon D2H, D1X.
- Patch removed due incompatibility

* Fri Nov 25 2005 Dmitry Marochko <mothlike@altlinux.ru> 0.6-alt1
- New version
  + Enabled AHD (Adaptive Homogeneity-Directed) interpolation.
  + Added base curve, which simulates Nikon tone curve behavior. (The old correction curve is still there.)
  + Automatically apply the embedded custom curve only if the camera was setup to use this curve.
  + Support the D1X rectangular pixels.
  + Fix EXIF support with libtiff 3.7.4.
  + Some bug fixes.
- Patch from Sergei Epiphanov kept back

* Sun Oct 02 2005 Dmitry Marochko <mothlike@altlinux.ru> 0.5-alt2
- Patch removed
- Version 0.5
- Read support for Nikon Tone Curve (NTC/NCV) files.
- Added a curve editor.
- Added control on the base curve (see the user guide for more information).
- Support the new DCRaw color matrices for better color rendering.
- More controls can be set from the command-line.
- Preliminary EXIF support.
- New UFRaw ID files contain all the conversion parameters and allow for batch conversion.
- New ufraw-batch replaces ufraw --batch.
- Numerous other changes.
- Notice that the new Adaptive Homogeneity-Directed interpolation is still not enabled.

* Sun Sep 11 2005 Dmitry Marochko <mothlike@altlinux.ru> 0.5-alt1.20050906cvs
- New CVS version
- ufraw(1) manual added
- Increased stability
- Build with new dcraw version included
- Enhance curves

* Mon Aug 08 2005 Dmitry Marochko <mothlike@altlinux.ru> 0.5-alt1.20050808cvs
- CVS version 0.5
- Major changes from Sergei Epiphanov:
  + Package splitted to binary and GIMP plugin parts
  + Patch to enhance functionality

* Wed Aug 03 2005 Dmitry Marochko <mothlike@altlinux.ru> 0.4-alt1
- Initial Sisyphus build
- Version 0.4
